/*
 Definitionen fr Mega8

 Belegungen der Atmel-Ports:

*****************************************************************

	PB0		ICP1
	PB1		OC1A
	PB2		SS		OC1B
	PB3		OC2		MOSI
	PB4		MISO
	PB5		SCK		
	PB6		TOSC1	XTAL1
	PB7		TOSC2	XTAL2

	PC0		ADC0				RFM12 SDI	[SDI]
	PC1		ADC1				RFM12 SCK	[SCK]
	PC2		ADC2				RFM12 SDO	[SDO]
	PC3		ADC3				RFM12 CS	[nSEL]
	PC4		ADC4	SDA		RFM12 FIFO[nSEL]
	PC5		ADC5	SCL
	PC6		RESET

	PD0		RXD											FTDI TxD
	PD1		TXD											FTDI RxD
	PD2		INT0				RFM12 IRQ	[nIRQ]
	PD3		INT1
	PD4		T0		XCK
	PD5		T1
	PD6		AIN0
	PD7		AIN1

	
	nFFS: 1-10k Pullup an Vcc !!!

*****************************************************************
*/

#ifndef F_CPU
#warning "F_CPU war noch nicht definiert, wird nun nachgeholt mit 14745600U"
  #define F_CPU 14745600UL
#endif
/*
struct sensor_daten {
  unsigned char s_nummer;
  unsigned char s_status;
  unsigned char t_typ;
  unsigned char t_signum;
  unsigned char t_zehner;
  unsigned char t_einer;
  unsigned char t_komma;
  unsigned char t_zehntel;
  unsigned char t_hunderstel;

  unsigned char f_typ;
  unsigned char f_space;
  unsigned char f_zehner;
  unsigned char f_einer;
  unsigned char f_komma;
  unsigned char f_zehntel;
  unsigned char f_hunderstel;


  unsigned char d_typ;
  unsigned char d_tausender;
  unsigned char d_hunderter;
  unsigned char d_zehner;
  unsigned char d_einer;
  unsigned char d_komma;
  unsigned char d_zehntel;
 
  unsigned char checksum;

  };
*/

/* neues Format der Daten PAKET_LEN = 24

 0 Sensornummer 0x5y    y -> 0...F Sensornummer, maximal 16 Sensoren
 1 Status       0x5y    y -> 0...F 0 - ok, 1 - Batterie leer
 
 Sensordaten, 3 Sensoren, 3 * 7 = 21 Byte, Daten als ASCII mit Komma
 0 Sensortyp    0x5y    y -> 0...F 0 kein Sensor,
  1 - Temperatur: Vorzeichen, 4 Stellen (999,9), fhrende Nullen unterdrckt, - vor der ersten Ziffer, rechtsbndig
  2 - Feuchte:    3 Stellen (99,9), rechtsbndig
  3 - Luftdruck   5 Stellen (9999,9), fhrende Nullen unterdrckt, rechtsbndig
  
 23 Checksumme XOR
     
*/


